Document validation Status
Check the status of the morphological validation operation. This endpoint must be called repeatedly until the analysis operation has completed. See Process Status as a reference for the different status values.
Endpoint
POST /verify/documentValidation/statusHeaders
x-api-key
string
Yes
Access authorization API Key.
family
string
No
Value: Onboarding. Required with the Tracking service.
Request body
Content-Type: application/json
Parameters
scanReference
string
Yes
Reference number of the scan.
type
string
No
⚠️ Value deprecated. Will be removed in future versions.
tracking
object
No
Object representing the required tracking information.
tracking.extraData
string
No
Token generated by the SDK Mobile/Web. It contains tokenized tracking information with the Platform.
tracking.operationId
string
No
Operation identifier generated by the SDK Mobile/Web.
Request example
Responses
200 Success
Response parameters
timestamp
string
UTC timestamp of the response in format ISO 8601.
scanReference
string
Reference number of the scan.
Process Status
The status endpoint returns one of the following values to indicate the current status of the validation process:
PENDING
Analysis in progress. It is recommended to check every 5 seconds until it completes.
DONE
Validation completed successfully. Run the Document Validation Data service to obtain the analysis results.
FAILED
The validation process encountered an error and could not be completed.
Response example
400 Bad Request
401 Unauthorized
403 Forbidden
502 Bad Gateway
504 Gateway Timeout
Last updated